import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from "react";
export const WidgetCodeContext = /*#__PURE__*/React.createContext({});
export const WidgetCodeProvider = (_ref) => {
  let {
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, ["children"]);

  return /*#__PURE__*/React.createElement(WidgetCodeContext.Provider, {
    value: props,
    children: children
  });
};
/**
 * @return {{
 *   theme: string
 * }}
 */

export const useWidgetCode = () => {
  return React.useContext(WidgetCodeContext);
};